Bug 3995 - The acecad tablet driver is not working with kernels 2.6.x
Summary: The acecad tablet driver is not working with kernels 2.6.x
Status: CLOSED FIXED
Alias: None
Product: xorg
Classification: Unclassified
Component: Server/DDX/Xephyr (show other bugs)
Version: unspecified
Hardware: x86 (IA32) Linux (All)
: high normal
Assignee: Keith Packard
QA Contact:
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2005-08-06 03:24 UTC by Lukasz Lubojanski
Modified: 2011-10-15 17:20 UTC (History)
1 user (show)

See Also:
i915 platform:
i915 features:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Lukasz Lubojanski 2005-08-06 03:24:35 UTC
The acecad tablet driver included in XORG (also in XFree) is not working with
kernel 2.6 acecad driver. It is because the default input refresh event in 2.4
kernels are EV_ABS + ABS_MISC code, in kernel 2.6 that was changed to the EV_SYN
event. The driver included in xorg returns only UNKNOWN event->code=0 when gets
EV_SYN event.

The properly working drivers can be found here:
http://perso.numericable.fr/~svoltzstup81/septieme/acecad/xfree.html
http://perso.numericable.fr/~svoltzstup81/septieme/acecad/acecad-1.0.6.tar.bz2

Please replase it in the future.

£ukasz Lubojañski
Comment 1 Frederic Leroy 2005-08-27 03:05:33 UTC
I tried the 1.0.6 on my system (gentoo/ppc64, linux 2.6.13-rc7, xorg 6.8.2) by 
replacing acecad.[ch] in the xorg tree and it works almost :  
 
* Xinerama : 
I can only go on the first screen in absolute mode 
Button and pressure work. 
 
* Relative mode :  
Button 1 (pressure) doesn't work 
 
I'll try to correct this next week 
Comment 2 Lukasz Lubojanski 2005-08-30 00:26:50 UTC
ps. I have problems with KDM with Xorg and the 1.6 acecad driver. KDM hangs
after user logout and if I change console to the first then my PC stop ansfer
(eaven num lock don't work).

I don't see any errors or warnings in logs.
Comment 3 Frederic Leroy 2005-09-01 05:16:44 UTC
I don't have any lockups with the acecad driver.
I can switch and change config as I wish, it seems to work very well since I
switch to driver 1.0.6.
I don't use kdm. I launch my desktop either with 'startx' or from gdm.

Here is some more information: 
> * Xinerama : 
> I can only go on the first screen in absolute mode 
> Button and pressure work. 
I don't found document about tablet and xinerama. I suppose the stylus may go on
every screen in absolute mode when xinerama active? 
It confuse gimp : gimp think the tablet work on all screen and thus make a bad
ratio for painting.
Wacom driver too had problem with gimp and implements a "gimp" option !!!
Something rotten I think.

> * Relative mode :  
> Button 1 (pressure) doesn't work
It works in relative mode.
In fact, it doesn't work under gimp.
I can't draw anything as if had no pressure.
But I can control all other application with the stylus and clicking(taping) on
the tablet works.

So I don't know if my trouble is driver related or gimp related, I think of both.
I'll try to add xinerama support in absolute mode and send it to the author, today.
Comment 4 Giuseppe Bilotta 2007-04-23 05:50:23 UTC
Any updates on this bug? The updated (1.0.6) driver isn't available from that link anymore, and the acecad driver is still failing for me with kernel 2.6.18
Comment 5 Giuseppe Bilotta 2007-04-26 08:06:32 UTC
This bug is now fixed in version 1.1.1


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.